#ifndef ENVIRONMENT_H
#define ENVIRONMENT_H

#include <nodelet/nodelet.h>
#include <ros/ros.h>
#include "car/ussDataMsg.h"

namespace car
{
	class Environment : public nodelet::Nodelet
	{
		public:
			virtual void onInit();
			Environment(ros::NodeHandle &nh, std::string &name);
			Environment();
			~Environment();
		private:
			ros::NodeHandle nh_;
			std::string name_;
      
      float distance;
      float prevSpeed;
      
			ros::Publisher environmentData;
      ros::Subscriber ussData;
      ros::Subscriber camData;

      
      void ussDataCallback(const ussDataMsg::ConstPtr& inMsg);
	};
}
#endif
